package de.champonthis.buntspecht.controller.model;

import java.time.Instant;

public class TurnoverFilterModel {

    private MinMax<Instant> created;
    private MinMax<Instant> updated;
    private String customer;
    private String motif;
    private MinMax<Float> price;
    private MinMax<Float> timeInvestment;

    public MinMax<Instant> getCreated() {
        return created;
    }

    public void setCreated(MinMax<Instant> created) {
        this.created = created;
    }

    public MinMax<Instant> getUpdated() {
        return updated;
    }

    public void setUpdated(MinMax<Instant> updated) {
        this.updated = updated;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getMotif() {
        return motif;
    }

    public void setMotif(String motif) {
        this.motif = motif;
    }

    public MinMax<Float> getPrice() {
        return price;
    }

    public void setPrice(MinMax<Float> price) {
        this.price = price;
    }

    public MinMax<Float> getTimeInvestment() {
        return timeInvestment;
    }

    public void setTimeInvestment(MinMax<Float> timeInvestment) {
        this.timeInvestment = timeInvestment;
    }

    public static class MinMax<T> {

        private T min;
        private T max;

        public MinMax(T min, T max) {
            this.min = min;
            this.max = max;
        }

        public T getMin() {
            return min;
        }

        public void setMin(T min) {
            this.min = min;
        }

        public T getMax() {
            return max;
        }

        public void setMax(T max) {
            this.max = max;
        }

    }
}
